# DeleteUDTSTask - DeleteUDTSTask

## Overview

DeleteUDTSTask






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DeleteUDTSTask`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled, it defaults to the default project, and sub-accounts must fill it in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **TaskId** | string | Task ID |**Yes**|
| **Type** | string | Task type, transfer (data transfer) or integration (data integration). Default is  transfer |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=DeleteUDTSTask
&ProjectId=Xvjtnsbo
&TaskId=ygkxntRa
&Type=tberTgfi
```

### Response Example
    
```json
{
  "Action": "DeleteUDTSTaskResponse",
  "Message": "juXgrvHQ",
  "RetCode": 0
}
```





